WordPress.org

Ready to get started?Download WordPress

Forums

Duplicator
[resolved] duplicate database entry errors (11 posts)

  1. rstoeber
    Member
    Posted 3 months ago #

    I seem to be having the same problem that other people have already reported. The Duplicator 0.5.2 plugin worked great and really saved me a lot of time over the past few weeks. But today I tried to move a site to a new server and I get hundreds of database errors, all like the following:

    **ERROR** database error write 'Duplicate entry '' for key 'option_name'' - [sql=INSERT INTO wp_options VALUES("", "", "", "")...]

    We are running WordPress 3.9, but I honestly can't say whether this is the first time we tried using Duplicator on 3.9.

    There was a suggestion to download the developer 0.5.3 version, but I can't find that anywhere.

    Can someone confirm that 0.5.3 will fix this problem, and provide a link to download that version?

    https://wordpress.org/plugins/duplicator/

  2. rstoeber
    Member
    Posted 3 months ago #

    Responding to my own question.

    I figured out where to get the 0.5.3 development version code. It took me a while to realize that the readme.txt file still says 0.5.2, but the actual code duplicator.php has a version 0.5.3 near the top.

    So I installed the 0.5.3 version and created a new archive and that installed perfectly. Only tested for a few minutes now, but this immediate problem appears to be solved.

  3. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    Thanks for the update!

  4. aehageman
    Member
    Posted 3 months ago #

    Could you post the link to the location of 0.5.3 so we can stop searching for it? Thanks

  5. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    Hey @aehageman,

    Sorry about that! Here you go:

    -> Browse to http://wordpress.org/extend/plugins/duplicator/developers/
    -> Look for the section "Other Versions"
    -> Click on "Development Version" and download the zip plugin file

  6. colorsthink
    Member
    Posted 3 months ago #

    Hi guys,

    I need to move an important website (WP 3.9.1). I already used this amazing plugin in the past and works like a breeze on other WP version.

    Can you reassure me that I can use this developer version 0.5.3 on WP 3.9.1.?

    When this version out from developer state?

    thanks,

    Vincent

  7. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    Hey @colorsthink,

    Its worked for me with that combination... Not sure when the developer version will be released, still waiting more feedback...

    Cheers~

  8. colorsthink
    Member
    Posted 3 months ago #

    Hi,

    thanks for your reply! So I'll go ahead : )

    I will post the results...

    Amazing plugin, really.

  9. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    Thanks! Hope you get it going...

  10. aehageman
    Member
    Posted 3 months ago #

    Thanks! Found the developers version . Did not fix my issue, but it was a good try. I will return after I have done my due diligence to find a solution on my own.

  11. Cory Lamle
    Member
    Plugin Author

    Posted 3 months ago #

    Hey @aehageman,

    That is odd... You might also try the mysqldump option from the settings panel as well. If you know how to code the source is on GitHub now as well, sometimes it can be a minor tweek per your environment, its tough to tell with so many different permutations...

    If your looking for a commercial setup you might try BackupBuddy...

    Cheers~

Reply

You must log in to post.

About this Plugin

About this Topic